#
# spec file for package remake
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define base_version 4.2+dbg-1.4
%define pkg_version 4.2.1+dbg-1.4
Name:           remake
Version:        4.2.1_1.4
Release:        bp153.1.15
Summary:        A gnu make version including a debuger
License:        GPL-3.0+
Group:          Development/Tools/Building
Summary(de):    Eine gnu make Version inklusive Debugger
URL:            http://bashdb.sourceforge.net/remake/
Source0:        https://downloads.sourceforge.net/project/bashdb/remake/%{base_version}/remake-%{pkg_version}.tar.bz2
Patch1:         glob-lstat.patch
Patch2:         glob-interface.patch
BuildRequires:  readline-devel
Requires(post): %{install_info_prereq}
Requires(preun): %{install_info_prereq}
Recommends:     %{name}-lang = %{version}

%description
remake is a patched and modernized version of GNU make utility that
adds improved error reporting, the ability to trace execution in a
comprehensible way, and a debugger.

%description -l de
remake ist eine gepatchte und modernisierte Version des GNU make
Utilities. Es wurde die Fehlerbenachrichtigung erweitertert, die
Möglichkeit die Ausführung zu tracen ergänzt und ein Debugger
eingebaut.

%lang_package

%prep
%setup -q -n "%{name}-%{pkg_version}"
%patch1 -p1
%patch2 -p1

%build
%configure
make %{?_smp_mflags}

%install
%make_install
rm -f %{buildroot}/%{_infodir}/make* \
      %{buildroot}/%{_includedir}/gnuremake.h

%find_lang remake

%post
%install_info --info-dir="%{_infodir}" "%{_infodir}"/remake.info*

%preun
%install_info_delete --info-dir="%{_infodir}" "%{_infodir}"/remake.info*

%files
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/remake
%{_mandir}/man1/remake.1%{ext_man}
%{_infodir}/remake.info%{ext_info}

%files lang -f %{name}.lang

%changelog
* Thu Feb 15 2018 aloisio@gmx.com
- Set license field back to GPL-3.0+
* Thu Feb 15 2018 schwab@suse.de
- glob-lstat.patch: Do not assume glibc glob internals
- glob-interface.patch: Support GLIBC glob interface version 2
* Sat Feb  3 2018 aloisio@gmx.com
- Update to version 4.2.1+dbg-1.4
  * Two small but important changes...
    + gnumake.h -> gnuremake.h so we don't conflict with GNU make
    + Propagate --post-mortem flag (now short option -!) in
    recursive make
  * Revise documentation to include recent --post-mortem and
    profiling changes.
  Version 4.2.1+dbg-1.3
  * Add --post-mortem option
- Split off -lang subpackage
* Wed Sep  6 2017 aloisio@gmx.com
- Set correct license (GPL-3.0+)
* Wed Sep  6 2017 aloisio@gmx.com
- Update to version 4.2.1+dbg-1.2 (see NEWS or ChangeLog)
- Dropped remake-printf_z.patch (fixed upstream)
- Spec cleanup
* Sat Oct 29 2011 pascal.bleser@opensuse.org
- moved to devel:tools
- completely revamped the spec file to modern day's standards
- add patch to fix a bogus printf format placeholder %%d although the
  variable is a size_t (so using %%z instead)
* Wed Oct 26 2011 Manfred.Tremmel@iiv.de
- update to remake-3.82+dbg0.8
* Mon Apr 25 2011 Manfred.Tremmel@iiv.de
- update to remake-3.82+dbg-0.6
* Sat May  8 2010 Manfred.Tremmel@iiv.de
- update to remake-3.81+dbg-0.3
* Fri Sep 11 2009 Manfred.Tremmel@iiv.de
- cleanups where rpmlint wasn't so happy
* Sat Jan 10 2009 Manfred.Tremmel@iiv.de
- update to remake-3.81+dbg-0.2
* Tue Oct 28 2008 Manfred.Tremmel@iiv.de
- update to remake-3.81+dbg-0.1
* Wed Feb 28 2007 Manfred.Tremmel@iiv.de
- update to remake-3.80+dbg-0.62
* Sat Apr 15 2006 Manfred.Tremmel@iiv.de
- update to remake-3.80+dbg-0.61
* Sun Dec 25 2005 Manfred.Tremmel@iiv.de
- update to remake-3.80+dbg-0.60
* Sun Dec 18 2005 Manfred.Tremmel@iiv.de
- first spec file
